Forward Transactions
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_forward
Use this endpoint to forward selected transactions to the specified users and/or groups.
Request
Supported Media Types
- application/json
Root Schema : commerceDocumentsOraclecpqoTransaction-_forwardCollectionRequest
Type:
Show Source
object-
company:
string
Title:
CompanyThe company name -
ids:
array The transaction ids
Title:
The transaction idsThe list of transactions that are forwarded to user/groups -
salesGroups:
object Sales Groups
Title:
Sales Groups -
salesUsers:
object Sales Users
Title:
Sales Users
Nested Schema : The transaction ids
Type:
arrayTitle:
The transaction idsThe list of transactions that are forwarded to user/groups
Show Source
Nested Schema : Sales Groups
Type:
objectTitle:
Show Source
Sales Groups-
label:
string
Title:
Group LabelLabel of the group. -
dateAdded:
string
Title:
Date AddedSystem field indicating the date on which the Resource was created. -
dateModified:
string
Title:
Date ModifiedSystem field indicating the date on which the Resource was last modified. -
id:
integer
Title:
IdThe identifier for a sales group. -
variableName:
string
Title:
Group Variable NameVariable Name of the group.
Nested Schema : Sales Users
Type:
objectTitle:
Show Source
Sales Users-
dateAdded:
string
Title:
Date AddedSystem field indicating the date on which the Resource was created. -
dateModified:
string
Title:
Date ModifiedSystem field indicating the date on which the Resource was last modified. -
email:
string
Title:
Email AddressEmail address of the user -
firstName:
string
Title:
First NameFirst Name of the user. -
key:
string
Title:
keyThe identifier for the sales user. -
lastName:
string
Title:
Last NameLast Name of the user
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-_forwardCollectionResponse
Type:
objectExamples
The following example shows how to forward selected transactions to the specified users and/or groups. by submitting a POST request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X POST -H "Authorization: Bearer <token>" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_forward
Request Body Sample
{
"ids": [18007731, 18007790, 18005157],
"company": "company123,
"salesGroups": [group1, group2, group3],
"salesUsers": []
}